<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
} // Exit if accessed directly

class WC_SRE_Row_Active_Subscribers extends WC_SRE_Report_Row {

	/** @var int|null */
	protected ?int $active_subscribers_count = null;

	/**
	 * The constructor
	 *
	 * @param $date_range
	 *
	 * @since 1.1.0
	 */
	public function __construct( $date_range ) {
		parent::__construct( $date_range, 'active-subscribers', __( 'Active Subscribers', 'woocommerce-sales-report-email' ) );
	}

	/**
	 * Prepare the data
	 *
	 * @since 1.1.0
	 */
	public function prepare() {

		if ( null === $this->active_subscribers_count ) {

			$subscriptions = wcs_get_subscriptions( [
				'subscription_status'    => 'active',
				'subscriptions_per_page' => -1,
			] );

			$this->active_subscribers_count = $subscriptions ? count( $subscriptions ) : 0;
		}

		$this->set_value( $this->active_subscribers_count );
	}

}
